@extends('layouts.pdf')

<style>
    * {
        font-size: 0.9rem;
    }
</style>

<div class="container-fluid pt-4 font-serif" style="">
    <div class="fw-bold">
        TOP NOTCH EMBROIDERY & DIGITIZING LTD.
    </div>
    <div>
        108-618 EAST KENT AVE. SOUTH <br>
        VANCOUVER BC <br>
        (604) 871-9991 <br>
        info@sewtopnotch.com <br>
        GST# 846025062RT0001 <br>
    </div>

    <div class="fs-3 fw-bold text-primary mt-2">
        QUOTE
    </div>

    <div class="d-flex flex-row">

        <div class="pe-4">
            <div class="fw-bold">
                DATE
            </div>
            <div>
                {{ $quote->date->format('Y-m-d') }}
            </div>
        </div>

        <div class="pe-4">
            <div class="fw-bold">
                CUSTOMER
            </div>
            <div>
                {{ $quote->customer->company_name ?? '' }}
            </div>
        </div>

        <div class="">
            <div class="fw-bold">
                NOTES
            </div>
            <div>
                {{ $quote->notes ?? '' }}
            </div>
        </div>
    </div>

    <hr>

    @if($quote->embroideryEntries()->count() != 0) <h3 class="h-3">Embroidery</h3> @endif

    <table class="table table-sm table-striped">
        <tr>
            <th>Logo</th>
            <th>Placement</th>
            <th>Quantity</th>
            <th>Width</th>
            <th>Height</th>
            <th>Stitch count</th>
            <th>Digitizing</th>
            <th>Run charge</th>
        </tr>

        @foreach($quote->embroideryEntries as $entry)
            <tr>
                <td>
                    {{ $entry->logo }}
                </td>
                <td>
                    {{ $entry->placement }}
                </td>
                <td>
                    {{ $entry->quantity }}
                </td>
                <td>
                    {{$entry->width}}"
                </td>
                <td>
                    {{$entry->height}}"
                </td>
                <td>
                    {{$entry->stitch_count}}
                </td>
                <td>
                    {{$entry->digitizing_cost}}
                </td>
                <td>
                    {{$entry->run_charge}}
                </td>
            </tr>
        @endforeach
    </table>

    @if($quote->screenPrintEntries()->count() != 0) <h3 class="h-3">Screen Printing</h3> @endif

    <table class="table table-sm table-striped">
        <th>Logo</th>
        <th>Quantity</th>
        <th>Width</th>
        <th>Height</th>
        <th># of Colors</th>
        <th>Color Match</th>
        <th>Flash</th>
        <th>Fleece</th>
        <th>Poly Ink</th>
        <th>Other charges</th>
    </table>

{{--    <div class="d-flex flex-row-reverse">--}}

{{--        <div class="text-end ps-5">--}}
{{--            <div>${{number_format($invoice->subtotal, 2)}}</div>--}}
{{--            <div>${{number_format($invoice->gst_amount, 2)}}</div>--}}
{{--            <div>${{number_format($invoice->pst_amount, 2)}}</div>--}}
{{--            <div>${{number_format($invoice->total, 2)}}</div>--}}
{{--            <br>--}}
{{--            <div class="fw-bold">${{number_format($invoice->total, 2)}}</div>--}}
{{--        </div>--}}

{{--        <div class="fw-bold text-end">--}}
{{--            <div>Subtotal</div>--}}
{{--            <div>GST @ {{$invoice->gst_rate}}%</div>--}}
{{--            <div>PST (BC) @ {{$invoice->pst_rate}}%</div>--}}
{{--            <div>TOTAL</div>--}}
{{--            <br>--}}
{{--            <div>BALANCE DUE</div>--}}
{{--        </div>--}}
    </div>

</div>

